<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pizza365</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <!--Font awesome-->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <!-- Các file css và js tự định nghĩa thêm -->
    <link rel="stylesheet" href="../views/Task 43.80.css">
</head>

<body>
    <div class="container-fluid">
        <div class="row ">
            <div class="col-sm-12 ">
                <nav class="navbar navbar-light bg-warning navbar-expand-lg fixed-top">
                    <ul class="navbar-nav nav-fill w-100 ">
                        <li class="nav-item active">
                            <a class="nav-link" href="#">Trang chủ <span class="sr-only">(current)</span></a>
                        </li>
                        <li class="nav-item ">
                            <a class="nav-link" href="#">Combo <span class="sr-only">(current)</span></a>
                        </li>
                        <li class="nav-item ">
                            <a class="nav-link" href="#">Loại Pizza <span class="sr-only">(current)</span></a>
                        </li>
                        <li class="nav-item ">
                            <a class="nav-link" href="#">Đơn hàng<span class="sr-only">(current)</span></a>
                        </li>
                    </ul>
                </nav>
            </div>
        </div>
    </div>


    <div class="container w-75">
        <div class="row">
            <div class="col-sm-12">
                <h2>PIZZA 365</h2>
                <label id="label-truly">Truly italian !</label>
            </div>
            <div class="col-sm-12">
                <div id="carouselExampleIndicators" class="carousel slide " data-ride="carousel">
                    <ol class="carousel-indicators">
                        <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                        <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                        <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                        <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                    </ol>
                    <div class="carousel-inner">
                        <div class="carousel-item active">
                            <img class="d-block w-100" src="../images/1.jpg" alt="First slide">
                        </div>
                        <div class="carousel-item">
                            <img class="d-block w-100" src="../images/2.jpg" alt="Second slide">
                        </div>
                        <div class="carousel-item">
                            <img class="d-block w-100" src="../images/3.jpg" alt="Third slide">
                        </div>
                        <div class="carousel-item">
                            <img class="d-block w-100" src="../images/4.jpg" alt="Four slide">
                        </div>
                    </div>
                    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span class="sr-only">Previous</span>
                    </a>
                    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                        <span class="sr-only">Next</span>
                    </a>
                </div>
            </div>

            <div class="col-sm-12 text-center p-4 mt-4">
                <h3>Tại sao lại Pizza 365</h2>
                    <p id="border"></p>
            </div>

            <div class="col-sm-12">
                <div class="row">
                    <div class="col-sm-3 border bg-info">
                        <h4 class="mt-4">Đa dạng</h4>
                        <p class="mt-4">Số lượng Pizza đa dạng, có đầy đủ các loại Pizza đang hot nhất hiện nay</p>
                    </div>
                    <div class="col-sm-3 border bg-success">
                        <h4 class="mt-4">Chất lượng</h4>
                        <p class="mt-4">Nguyên liệu sạch 100%, rõ nguồn gốc, quy trình chế biến đảm bảo vệ sinh an toàn
                            thực phẩm</p>
                    </div>
                    <div class="col-sm-3 border bg-danger">
                        <h4 class="mt-4">Hương vị</h4>
                        <p class="mt-4">Đảm bảo hương vị ngon độc lạ mà bạn chỉ có thể trải nghiệm từ Pizza 365</p>
                    </div>
                    <div class="col-sm-3 border bg-secondary">
                        <h4 class="mt-4">Dịch vụ</h4>
                        <p class="mt-4">Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh, chất lượng tân
                            tiến</p>
                    </div>
                </div>
            </div>

            <div class="text-center col-sm-12 mt-5">
                <h3 id="size-pizza" class="size">Chọn Pizza Size</h3>
                <p id="border"></p>
                <p class="text-warning">Chọn combo Pizza phù hợp với nhu cầu của bạn</p>
            </div>
            <div class="col-sm-12">
                <div class="row">
                    <div class="col-sm-4">
                        <div class="card">
                            <div class="card-header bg-warning text-center">
                                <h4> S (small)</h4>
                            </div>
                            <div class="card-body text-center">
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item ">Đường kính: <b>20cm</b></li>
                                    <li class="list-group-item ">Sườn nướng: <b>2</b></li>
                                    <li class="list-group-item ">Salad: <b>200g</b></li>
                                    <li class="list-group-item ">Nước ngọt: <b>2</b></li>
                                    <li class="list-group-item ">
                                        <h1>150.000</h1>
                                    </li>
                                    <li class="list-group-item ">VNĐ</li>
                                </ul>
                            </div>
                            <div class="card-footer text-center">
                                <button id="size-s" class="btn btn-warning btn-lg btn-block"><b>Chọn</b></button>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="card">
                            <div class="card-header bg-warning text-center">
                                <h4> M (medium)</h4>
                            </div>
                            <div class="card-body text-center">
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item ">Đường kính: <b>25cm</b></li>
                                    <li class="list-group-item ">Sườn nướng: <b>4</b></li>
                                    <li class="list-group-item ">Salad: <b>300g</b></li>
                                    <li class="list-group-item ">Nước ngọt: <b>3</b></li>
                                    <li class="list-group-item ">
                                        <h1>200.000</h1>
                                    </li>
                                    <li class="list-group-item ">VNĐ</li>
                                </ul>
                            </div>
                            <div class="card-footer text-center">
                                <button id="size-m" class="btn btn-warning btn-lg btn-block"><b>Chọn</b></button>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="card">
                            <div class="card-header bg-warning text-center">
                                <h4> L (large)</h4>
                            </div>
                            <div class="card-body text-center">
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item ">Đường kính: <b>30cm</b></li>
                                    <li class="list-group-item ">Sườn nướng: <b>8</b></li>
                                    <li class="list-group-item ">Salad: <b>500g</b></li>
                                    <li class="list-group-item ">Nước ngọt: <b>4</b></li>
                                    <li class="list-group-item ">
                                        <h1>250.000</h1>
                                    </li>
                                    <li class="list-group-item ">VNĐ</li>
                                </ul>
                            </div>
                            <div class="card-footer text-center">
                                <button id="size-l" class="btn btn-warning btn-lg btn-block"><b>Chọn</b></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row mt-5">
                <div class="col-sm-12 text-center ">
                    <h3>Chọn loại Pizza</h3>
                    <p id="border"></p>
                </div>
                <div class="col-sm-12 mt-5">
                    <div class="row">
                        <div class="col-sm-4">
                            <div class="card-deck">
                                <div class="card">
                                    <img src="../images/seafood.jpg">
                                    <div class="card-body">
                                        <h5 class="card-title">OCEAN MANIA</h5>
                                        <p class="card-text">PIZZA HẢI SẢN SỐT MAYONAISE</p>
                                        <p class="card-text">Xốt cà chua, phô mai Mozzarella, tôm, mực, thanh cua, hành
                                            tây</p>
                                    </div>
                                    <div class="card-footer">
                                        <button id="pizza-seafood" class="btn btn-warning w-100">Chọn</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="card-deck">
                                <div class="card">
                                    <img src="../images/hawaiian.jpg">
                                    <div class="card-body">
                                        <h5 class="card-title">HAWAIIAN</h5>
                                        <p class="card-text">PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                                        <p class="card-text">Xốt cà chua, phô mai Mozzarella, thị dăm bông, thơm</p>
                                    </div>
                                    <div class="card-footer">
                                        <button id="pizza-hawai" class="btn btn-warning w-100">Chọn</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="card-deck">
                                <div class="card">
                                    <img src="../images/bacon.jpg">
                                    <div class="card-body">
                                        <h5 class="card-title">CHESSY CHICKEN BACON</h5>
                                        <p class="card-text">PIZZA PHÔ MAI THỊ THEO XÔNG KHÓI</p>
                                        <p class="card-text">Xốt cà chua, thịt gà, thịt heo muối, phô mai Mozzarella, cà
                                            chua </p>
                                    </div>
                                    <div class="card-footer">
                                        <button id="pizza-bacon" class="btn btn-warning w-100">Chọn</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="text-center col-sm-12 mt-5">
                <h3>Chọn đồ uống</h3>
                <p id="border"></p>
            </div>
            
            <div class="col-sm-12 mt-3 ">
                <select id="select-drink" class="form-control" title="Select Drink">
                    <option value="all">Tất cả các loại nước uống</option>
                </select>
            </div>

            <div class="text-center col-sm-12 mt-5">
                <h3>Gửi đơn hàng</h3>
                <p id="border"></p>
            </div>
            <div class="col-sm-12 mt-3 border border-warning">
                <div class="form-group">
                    <label>Tên</label>
                    <input id="inp-ten" type="text" class="form-control" placeholder="Nhập tên">
                </div>
                <div class="form-group">
                    <label>Email</label>
                    <input id="inp-email" type="text" class="form-control" placeholder="Nhập Email">
                </div>
                <div class="form-group">
                    <label>Số điện thoại</label>
                    <input id="inp-sdt" type="text" class="form-control" placeholder="Nhập Số điện thoại">
                </div>
                <div class="form-group">
                    <label>Địa chỉ</label>
                    <input id="inp-diachi" type="text" class="form-control" placeholder="Nhập Địa chỉ">
                </div>
                <div class="form-group">
                    <label>Mã giảm giá</label>
                    <input id="inp-magiamgia" type="text" class="form-control" placeholder="Nhập Mã giảm giá">
                </div>
                <div class="form-group">
                    <label>Lời nhắn</label>
                    <input id="inp-loinhan" type="text" class="form-control" placeholder="Nhập Lời nhắn">
                </div>
                <div class="form-group">
                    <button id="btn-send" type="button" class="btn btn-warning btn-lg btn-block"><b>Gửi</b></button>
                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt-5">
        <div class="row bg-warning text-center">
            <div class="col-sm-12 mt-4">
                <h4><b>Footer</b></h4>
                <a href="#" class="btn btn-dark mt-3"><i class="fa fa-arrow-up "></i> Top the top</a>
                <div class="mt-3">
                    <i class="fa fa-facebook-official w3-hover-opacity"></i>
                    <i class="fa-brands fa-square-facebook"></i>
                    <i class="fa fa-instagram w3-hover-opacity"></i>
                    <i class="fa fa-snapchat w3-hover-opacity"></i>
                    <i class="fa fa-pinterest-p w3-hover-opacity"></i>
                    <i class="fa fa-twitter w3-hover-opacity"></i>
                    <i class="fa fa-linkedin w3-hover-opacity"></i>
                </div>
                <h5 class="mt-3 mb-4">Power by DEVCAMP</h5>
            </div>
        </div>
    </div>

    <div id="detail-order-modal" class="modal fade " tabindex="-1">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <!-- header -->
                <div class="modal-header">
                    <h5 class="modal-title">Thông tin đơn hàng</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <!-- modal body -->
                <div class="modal-body">
                    <form>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <label>Họ và tên</label>
                            </div>
                            <div class="col-md-10">
                                <input id="inp-modal-ten" class="form-control" type="text" disabled>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <label>Số điện thoại</label>
                            </div>
                            <div class="col-md-10">
                                <input id="inp-modal-sdt" class="form-control" type="text" disabled>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <label>Địa chỉ</label>
                            </div>
                            <div class="col-md-10">
                                <input id="inp-modal-diachi" class="form-control" type="text" disabled>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <label>Lời nhắn</label>
                            </div>
                            <div class="col-md-10">
                                <input id="inp-modal-loinhan" class="form-control" type="text" disabled>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <label>Mã giảm giá</label>
                            </div>
                            <div class="col-md-10">
                                <input id="inp-modal-magiamgia" class="form-control" type="text" disabled>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <label>Thông tin chi tiết</label>
                            </div>
                            <div class="col-md-10">
                                <textarea id="txta-modal-thongtin" class="form-control" rows="5" disabled></textarea>
                            </div>
                        </div>
                    </form>
                </div>
                <!-- modal-footer -->
                <div class="modal-footer">
                    <button id="btn-cancel" class=" btn btn-danger btn-lg w-25" data-dismiss="modal">Quay lại</button>
                    <button id="btn-confirm" class=" btn btn-warning btn-lg w-25">Tạo đơn</button>
                </div>
            </div>
        </div>
    </div>

</body>
<script>
    var gSelectSize = "";
    var gSelectType = "";
    var gOrder = "";
    onPageLoading();
    $("#size-s").on("click", function () {
        onBtnSizeS();
    })
    $("#size-m").on("click", function () {
        onBtnSizeM();
    })
    $("#size-l").on("click", function () {
        onBtnSizeL();
    })
    $("#pizza-seafood").on("click", function () {
        onBtnTypeSeafood();
    })
    $("#pizza-hawai").on("click", function () {
        onBtnTypeHawai();
    })
    $("#pizza-bacon").on("click", function () {
        onBtnTypeBacon();
    })
    $("#btn-send").on("click", function () {
        onBtnGui();
    })

    function onPageLoading() {
        getDrinkAjax();
    }

    function onBtnGui() {
        gOrder = getOrderInfo();
        showModalInfo(gOrder)
        $("#detail-order-modal").modal("show");

    }

    function getOrderInfo() {
        var vName = $("#inp-ten").val();
        var vSDT = $("#inp-sdt").val();
        var vDiaChi = $("#inp-diachi").val();
        var vLoiNhan = $("#inp-loinhan").val();
        var vMaGiamGia = $("#inp-magiamgia").val();
        var vCustomerInfo = {
            ten: vName,
            sdt: vSDT,
            diachi: vDiaChi,
            loinhan: vLoiNhan,
            magiamgia: vMaGiamGia
        }
        return vCustomerInfo;
    }

    function showModalInfo(param) {
        $("#inp-modal-ten").val(param.ten);
        $("#inp-modal-sdt").val(param.sdt);
        $("#inp-modal-diachi").val(param.diachi);
        $("#inp-modal-loinhan").val(param.loinhan);
        $("#inp-modal-magiamgia").val(param.magiamgia);
        $("#txta-modal-thongtin").val("Xác nhận: " + param.ten + " - " + param.sdt +
            " - " + param.diachi + "\n" +
            "Menu: " + gSelectSize.size + ", Duong kinh: " + gSelectSize.duongKinh + "cm, " + "Suon nuong: " + gSelectSize.suonNuong + ", Salad: " + gSelectSize.salad + "g" + "\n" +
            "Loại Pizza: " + gSelectType.type + ", Giá: " + gSelectSize.gia + "VND" + ", Mã giảm giá: " + gOrder.magiamgia + "\n" + 
         "Phải thanh toán: " + gSelectSize.gia + "VND (giảm giá " + "xx%)");
    }

    function getDrinkAjax() {
        $.ajax({
            //url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
            url: "http://localhost:8000/drinks",
            type: "GET",
            dataType: "JSON",
            success: function (res) {
                console.log(res)
                loadDrinkToSelect(res); 
            },
            error: function (error) {
                console.log(error.responseText);
            }
        })
    }

    function loadDrinkToSelect(param) {
        var vSelectDrink = $("#select-drink");
        for (var bI = 0; bI < param.data.length; bI++) {
            $("<option>", {
                value: param.data[bI].maNuocUong,
                text: param.data[bI].tenNuocUong
            }).appendTo(vSelectDrink);
        }
    }

    function onBtnSizeS() {
        var vSelectedSize = getComboSize("S", 20, 2, 200, 2, 150000);
        //vSelectedSize.displayConsole();
        gSelectSize = vSelectedSize;
        console.log(gSelectSize)
    }

    function onBtnSizeM() {
        var vSelectedSize = getComboSize("M", 25, 4, 300, 3, 200000);
        //vSelectedSize.displayConsole();
        gSelectSize = vSelectedSize;
        console.log(gSelectSize)
    }

    function onBtnSizeL() {
        var vSelectedSize = getComboSize("L", 30, 8, 500, 4, 250000);
        //vSelectedSize.displayConsole();
        gSelectSize = vSelectedSize;
        console.log(gSelectSize)
    }

    function onBtnTypeSeafood() {
        var vSelectedType = getType("Seafood");
        gSelectType = vSelectedType;
        console.log(gSelectType);
    }

    function onBtnTypeHawai() {
        var vSelectedType = getType("Hawai");
        gSelectType = vSelectedType;
        console.log(gSelectType);
    }

    function onBtnTypeBacon() {
        var vSelectedType = getType("Bacon");
        gSelectType = vSelectedType;
        console.log(gSelectType);
    }

    function getComboSize(paramSize, paramDK, paramSN, paramSalad, paramNG, paramGia) {
        var vValue = {
            size: paramSize,
            duongKinh: paramDK,
            suonNuong: paramSN,
            salad: paramSalad,
            nuocNgot: paramNG,
            gia: paramGia,
            displayConsole() {
                console.log("%c=======PIZZA SIZE=======", "color: blue");
                console.log("Size: " + this.size);
                console.log("Duong kinh: " + this.duongKinh + "cm");
                console.log("Suon nuong: " + this.suonNuong);
                console.log("Salad: " + this.salad + "g");
                console.log("Nuoc ngot: " + this.nuocNgot);
                console.log("Gia: " + this.gia + " VND")
            }
        }
        return vValue;
    }

    function getType(paramType) {
        var vType = {
            type: paramType
        };
        return vType;
    }
</script>

</html>